#!/bin/sh 
./SDMA_ASM -aho6144 mx35v2.asm out.blob sdma.inst
./SDMA_ASM -dlo6144 mx35v2.blob out.asm sdma.inst
./SDMA_ASM -aho6144 out.asm outasm.blob sdma.inst

diffasm=`diff mx35v2.blob out.blob`
diffdisasm=`diff mx35v2.blob outasm.blob`

echo
echo "---"

if [$diffasm -eq ""] 
then
  echo "Assembly OK!"
else
  echo "Error: Differences in assembly!"
fi

if [$diffdisasm -eq ""] 
then
  echo "Disassembly OK!"
else
  echo "Error: Differences in disassembly!"
fi

echo "---"
echo

rm out.blob
rm out.asm
rm outasm.blob
