# -*-makefile-*-
#
# Copyright (C) 2003-2010 by the ptxdist project <ptxdist@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

SEL_ROOTFS-$(PTXCONF_IMAGE_EMMC_HD)		+= $(IMAGEDIR)/testbildtest $(IMAGEDIR)/emmchd.img

ifdef rrrrrrrrrrrrrrrrrrrrrrrrrrrrr
ifdef PTXCONF_IMAGE_EMMC_HD_PART1
$(IMAGEDIR)/hd_emmc.img: $(call remove_quotes,$(PTXCONF_IMAGE_EMMC_HD_PART1_CONTENT))
GENHDIMARGS_EMMC = -p $(PTXCONF_IMAGE_EMMC_HD_PART1_START):$(PTXCONF_IMAGE_EMMC_HD_PART1_END):$(PTXCONF_IMAGE_EMMC_HD_PART1_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART1_CONTENT)
endif
ifdef PTXCONF_IMAGE_EMMC_HD_PART2
$(IMAGEDIR)/hd_emmc.img: $(call remove_quotes,$(PTXCONF_IMAGE_EMMC_HD_PART2_CONTENT))
GENHDIMARGS_EMMC += -p $(PTXCONF_IMAGE_EMMC_HD_PART2_START):$(PTXCONF_IMAGE_EMMC_HD_PART2_END):$(PTXCONF_IMAGE_EMMC_HD_PART2_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART2_CONTENT)
endif
ifdef PTXCONF_IMAGE_EMMC_HD_PART3
$(IMAGEDIR)/hd_emmc.img: $(call remove_quotes,$(PTXCONF_IMAGE_EMMC_HD_PART3_CONTENT))
GENHDIMARGS_EMMC += -p $(PTXCONF_IMAGE_EMMC_HD_PART3_START):$(PTXCONF_IMAGE_EMMC_HD_PART3_END):$(PTXCONF_IMAGE_EMMC_HD_PART3_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART3_CONTENT)
endif
ifdef PTXCONF_IMAGE_EMMC_HD_PART4
$(IMAGEDIR)/hd_emmc.img: $(call remove_quotes,$(PTXCONF_IMAGE_EMMC_HD_PART4_CONTENT))
GENHDIMARGS_EMMC += -p $(PTXCONF_IMAGE_EMMC_HD_PART4_START):$(PTXCONF_IMAGE_EMMC_HD_PART4_END):$(PTXCONF_IMAGE_EMMC_HD_PART4_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART4_CONTENT)
endif
endif

ifdef PTXCONF_IMAGE_EMMC_HD_PART1
GENHDIMARGS_EMMC = -p $(PTXCONF_IMAGE_EMMC_HD_PART1_START):$(PTXCONF_IMAGE_EMMC_HD_PART1_END):$(PTXCONF_IMAGE_EMMC_HD_PART1_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART1_CONTENT)
endif
ifdef PTXCONF_IMAGE_EMMC_HD_PART2
GENHDIMARGS_EMMC += -p $(PTXCONF_IMAGE_EMMC_HD_PART2_START):$(PTXCONF_IMAGE_EMMC_HD_PART2_END):$(PTXCONF_IMAGE_EMMC_HD_PART2_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART2_CONTENT)
endif
ifdef PTXCONF_IMAGE_EMMC_HD_PART3
GENHDIMARGS_EMMC += -p $(PTXCONF_IMAGE_EMMC_HD_PART3_START):$(PTXCONF_IMAGE_EMMC_HD_PART3_END):$(PTXCONF_IMAGE_EMMC_HD_PART3_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART3_CONTENT)
endif
ifdef PTXCONF_IMAGE_EMMC_HD_PART4
GENHDIMARGS_EMMC += -p $(PTXCONF_IMAGE_EMMC_HD_PART4_START):$(PTXCONF_IMAGE_EMMC_HD_PART4_END):$(PTXCONF_IMAGE_EMMC_HD_PART4_TYPE):$(PTXCONF_IMAGE_EMMC_HD_PART4_CONTENT)
endif

ifdef PTXCONF_IMAGE_EMMC_HD

#TEST = SEL_ROOTFS-$(PTXCONF_IMAGE_EMMC_HD)
#$(warning error is $(TEST) )
#$(warning error is $($(TEST)) )
#$(warning GENHDIMARGS_EMMC is $(GENHDIMARGS_EMMC) )
#$(warning GENHDIMARGS is $(GENHDIMARGS) )

#$(IMAGEDIR)/emmchd.img: $(IMAGEDIR)/root.ext2 $(IMAGEDIR)/barebox_emmc-image
#	echo "Creating emmc_hd.img for eMMC from root.ext2";				\
#	PATH=$(PTXCONF_SYSROOT_HOST)/bin:$$PATH $(PTXDIST_TOPDIR)/scripts/genhdimg	\
#	-o $@ $(GENHDIMARGS_EMMC)
#	$(call ptx/env) \
#		ptxd_make_dd_bootloader $@ $(PTXCONF_IMAGE_EMMC_HD_PART1_START) $(IMAGEDIR)/barebox_emmc-image
#	echo "done."

$(IMAGEDIR)/hd.img: $(IMAGEDIR)/root.ext2 $(IMAGEDIR)/barebox_emmc-image
	@echo "Creating hdimg from root.ext2";					\
	PATH=$(PTXCONF_SYSROOT_HOST)/bin:$$PATH $(PTXDIST_TOPDIR)/scripts/genhdimg	\
	-o $@ $(GENHDIMARGS)
	@$(call ptx/env) \
		ptxd_make_bootable $@ $(PTXCONF_IMAGE_HD_PART1_START)
	mv $(IMAGEDIR)/hd.img $(IMAGEDIR)/hd.img.save
	echo "Creating hdimg for eMMC from root.ext2";					\
	PATH=$(PTXCONF_SYSROOT_HOST)/bin:$$PATH $(PTXDIST_TOPDIR)/scripts/genhdimg	\
	-o $@ $(GENHDIMARGS_EMMC)
	$(call ptx/env) \
		ptxd_make_dd_bootloader $@ $(PTXCONF_IMAGE_EMMC_HD_PART1_START) $(IMAGEDIR)/barebox_emmc-image
	mv $(IMAGEDIR)/hd.img $(IMAGEDIR)/hd_emmc.img
	mv $(IMAGEDIR)/hd.img.save $(IMAGEDIR)/hd.img
	echo "done."
endif

# vim: syntax=make
